GuidesAPI ReferenceChangelog
Changelog

HERE Batch API v7

Version

Change

Description

7.35.0

PERFORMANCE

Individual Service throughput has been optimized. This improvement is expected to significantly reduce the time taken for job execution,
particularly for larger workloads, and enhance overall system efficiency.

7.34.0

ADDED

Test 2

7.34.0

ADDED

Test 2

7.33.0

CHANGED

The notification mechanism has been updated from synchronous sending within the job to asynchronous processing after job completion.

This change improves the robustness of notification handling and decouples notification processing from the main job execution.

7.32.0

FIXED

Fix error message related to malformed multipart upload.
The service does not support multipart uploads. A malformed multipart request caused a 500 response.
This is handled correctly now and a 415 "Unsupported Media Type" is returned.

7.32.0

DOCUMENTATION

Add lookup job example. See Lookup

7.32.0

SECURITY

Update of libraries due to security vulnerability.

7.31.0

DOCUMENTATION

Add note about rate limits to Limits and performance page.

7.31.0

FIXED

Do not count jobs in stopped state to queue length limit.
Since lifecycle change stopped jobs cannot be started again. So they don't count for queue length.

7.31.0

ADDED

Add some missing mappings and related tests.

7.30.0

FIXED

Documentation had section about default values as query parameter.
The described behavior was never implemented. See Input Data - Default values about how this can be done.
The erroneous sections are kept for reference at Default values as query parameter

7.30.0

DOCUMENTATION

IMPORTANT! Note update of deprecation notice about Alternative property values.
The list of properties got split into two stages. Stage 1 will be removed from January 2026 on. Stage 2 is not defined yet.

7.30.0

DOCUMENTATION

The documentation went through a full review. A lot has been added or moved around.
Overall the quality of the user guide improved.

7.30.0

OTHER

Internal improvements and optimizations.

7.30.0

CHANGED

As announced
the job lifecycle has been changed with regards to stopping a job. See Job lifecycle for details.

7.30.0

OTHER

The Notification feature moved from ALAPH to BETA level.

7.30.0

SECURITY

Update of libraries due to security vulnerability.

7.30.0

OTHER

The major software version moved to 7 (from 1) to match the product verions.
There are no breaking changes all major versions 2-6 don't exist.

1.28.1

OTHER

Internal change to enhance security and monitoring

1.28.1

ADDED

Support new /v7 base URL to match with major version.
Note: for now, the /v1 path will remain active but it is strongly recommended to migrate to v7 URLs at earliest convenience as /v1 will be decommissioned at some point in the future.

1.27.0

FIXED

Fix rare occurrence of invalid job records being counted wrong during job processing.

1.27.0

FIXED

Properly handle 403 responses from GS7 to prevent jobs from cycling.

1.26.0

FIXED

Fix for the on-premise hosted version.

1.25.0

PERFORMANCE

Further throughput improvement by utilizing GS7 regional endpoints.

1.24.0

OTHER

Internal improvements and optimizations around monitoring, exception handling and clean up.

1.23.1

FIXED

Fixed an error that occurs if a line has not all columns, and the index of recId column is larger than the number of columns in that line.

1.23.0

PERFORMANCE

Utilize more regions Geocoding & Search is deployed in.
This should further increase throughput and reduce job duration.

1.22.0

PERFORMANCE

Internal re-architecture of job processing. This will increase over all throughput and speed up job
processing. Especially small jobs have a higher chance of being processed faster.

1.18.3

FIXED

An issue has been fixed with at parameter for Reverse Geocoder jobs. The coordinates have not been processed right.

1.18.0

DOCUMENTATION

IMPORTANT! Note deprecation notice about Alternative property values.

1.18.0

PERFORMANCE

Handling of failing jobs improved.

1.17.0

DOCUMENTATION

Update links to new documentation pages at https://here.com/docs

1.17.0

OTHER

Improve internal cleanup.

1.17.0

FIXED

Fixed update of some counters during processing.

1.16.0

ADDED

Add support for addressNamesMode parameter for geocode service.

1.16.0

FIXED

Fixed resources consumption in case of premature close of a connection by client.

1.16.0

OTHER

Internal improvements and optimizations.

1.16.0

CHANGED

Trim input fields before usage

1.15.0

OTHER

Internal improvements and optimizations.

1.14.0

OTHER

Internal improvements and optimizations.

1.13.0

CHANGED

Delete of jobs (DELETE /batch/jobs) requires parameter status now.

status=any has the same behavior as without status property before - delete all jobs.
This should help avoid deleting all jobs accidentally, e.g. due to a typ.

1.12.0

OTHER

Internal improvements and optimizations.

1.11.0

ADDED

Added support for postalCodeMode parameter in Forward Geocoder

1.10.0

ADDED

Added support for CmId and Side in MapReference Links

1.9.0

OTHER

Internal improvements and optimizations.

1.8.0

FIXED

If a Content-Encoding header was set, which did not match the actual content, the service returned a 500 error.
This has changed and a correct 400 with related message is returned.

1.8.0

PERFORMANCE

Depending on overall utilization of OLS Batch service instances we dynamically allow more than two active jobs per user.
The user just submits their jobs as usual, the backend will decide if more than two can be executed in parallel.

1.5.0

ADDED

(ALPHA) Users can request partial results when selecting jsonl as outputType.

Leave outputFormat empty to receive full GS7 responses.

1.4.0

FIXED

Delete endpoint for multiple jobs now works as expected even for a very large number of jobs.

1.3.0

FIXED

Account for changes in GS7 API responses to fix showMapReferences=links.

1.3.0

ADDED

Support additional values in mapReferences section of GS7 responses: adminIds, cmVersion

1.3.0

ADDED

Support new parameter "showNavAttributes" with values "functionalClass" and "access".
Support additional values in navAttributes section of GS7 responses: functionalClass and access.

1.2.0

PERFORMANCE

Execution of records within a job is dynamic now. This should increase the throughput in most cases and reduce the
overall duration.

1.1.0

ADDED

Supports new estimatedPointAddress flag for point addresses in GS7 response. See API reference for details.

1.1.0

OTHER

Now status of service is available on the Platform Status Page

1.0.94

FIXED
  • fix a bug with circle parameter. If invalid values where passed, the job crashed. This has been fixed.
    A related error message is written to error file and the job continues.

1.0.94

ADDED

1.0.93

CHANGED
  • allowed characters for the field recId are a-zA-Z0-9.,_-
    * the field recId is limited to 512 characters